%define module beautifulsoup4

Name:           python-%module
Version:        4.12.3
Release:        %mkrel 1
Summary:        The Screen-Scraper's Friend

Group:          Development/Python
License:        MIT
URL:            https://www.crummy.com/software/BeautifulSoup/bs4/
Source0:        %{pypi_source %{module}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

BuildArch: noarch

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.

%package -n     python3-%{module}
Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.
This is the Python 3 build of Beautiful Soup.

%pyproject_extras_subpkg -n python3-%{module} html5lib lxml

%prep
%autosetup -n %module-%version

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bs4

%check
%tox

%files -n python3-%{module} -f %{pyproject_files}


%changelog
* Thu Jun 27 2024 papoteur <papoteur> 4.12.3-1.mga10
+ Revision: 2077223
- new version 4.12.3

* Sun Jan 14 2024 wally <wally> 4.12.2-2.mga10
+ Revision: 2031161
- add html5lib and lxml extras subpkgs
- enable tests

* Wed Dec 20 2023 joequant <joequant> 4.12.2-1.mga10
+ Revision: 2020525
- update to 4.12.2 - rebuild for py3.12

* Fri Dec 08 2023 wally <wally> 4.11.1-2.mga10
+ Revision: 2015547
- rebuild for py3.12

* Thu Aug 04 2022 neoclust <neoclust> 4.11.1-1.mga9
+ Revision: 1875062
- New version 4.11.1

* Wed Mar 23 2022 umeabot <umeabot> 4.10.0-2.mga9
+ Revision: 1822383
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 4.10.0-1.mga9
+ Revision: 1773346
- 4.10.0
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 4.9.3-3.mga9
+ Revision: 1703199
- rebuild for python 3.9

* Wed Nov 04 2020 wally <wally> 4.9.3-2.mga8
+ Revision: 1642605
- update license
- remove requires exclude for soupsieve (mga#27556)

* Fri Oct 23 2020 daviddavid <daviddavid> 4.9.3-1.mga8
+ Revision: 1638948
- new version: 4.9.3

* Wed Jun 24 2020 daviddavid <daviddavid> 4.9.1-1.mga8
+ Revision: 1599006
- new version: 4.9.1

* Fri May 01 2020 daviddavid <daviddavid> 4.9.0-1.mga8
+ Revision: 1577407
- new version: 4.9.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 4.8.2-2.mga8
+ Revision: 1546021
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 4.8.2-1.mga8
+ Revision: 1485701
- new version: 4.8.2

* Sat Nov 16 2019 daviddavid <daviddavid> 4.8.1-1.mga8
+ Revision: 1461204
- new version: 4.8.1

* Thu Sep 12 2019 tv <tv> 4.8.0-2.mga8
+ Revision: 1440064
- drop python2 subpkg
- rebuild for python-3.8

* Sun Aug 25 2019 wally <wally> 4.8.0-1.mga8
+ Revision: 1431897
- new version 4.8.0

* Mon Jan 07 2019 shlomif <shlomif> 4.7.1-1.mga7
+ Revision: 1350907
- Rebuild for python3 3.7 + new ver

* Thu Nov 01 2018 kekepower <kekepower> 4.6.3-1.mga7
+ Revision: 1327157
- Update to version 4.6.3
- Modernize BRs

* Thu Sep 20 2018 umeabot <umeabot> 4.6.0-2.mga7
+ Revision: 1288281
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 4.6.0-1.mga7
+ Revision: 1220738
- Update to version 4.6.0
- Rename python-beautifulsoup4 to python2-beautifulsoup4
- Use python-provide

* Sat Aug 05 2017 pterjan <pterjan> 4.4.1-5.mga7
+ Revision: 1135320
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 18 2015 ngompa <ngompa> 4.4.1-3.mga6
+ Revision: 904016
- Fix 2to3 invocation to not break py2 bs4 module

* Fri Oct 09 2015 shlomif <shlomif> 4.4.1-2.mga6
+ Revision: 888390
- Rebuild for new python3 (3.5.x)

* Tue Sep 29 2015 joequant <joequant> 4.4.1-1.mga6
+ Revision: 884954
- upgrade to 4.4.1

* Wed Jul 29 2015 joequant <joequant> 4.4.0-1.mga6
+ Revision: 858893
- update to 4.4.0

* Wed Oct 15 2014 umeabot <umeabot> 4.3.1-8.mga5
+ Revision: 739427
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.3.1-7.mga5
+ Revision: 728106
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.3.1-6.mga5
+ Revision: 687903
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 4.3.1-5.mga5
+ Revision: 629726
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 4.3.1-4.mga5
+ Revision: 628470
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.3.1-3.mga4
+ Revision: 543024
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.3.1-2.mga4
+ Revision: 498182
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 4.3.1-1.mga4
+ Revision: 497468
- update to 4.3.1, add Python 3

* Mon Jan 28 2013 neoclust <neoclust> 4.1.3-1.mga3
+ Revision: 392858
- imported package python-beautifulsoup4

